flake8:
    image: octobus/ci-py2-hgext3rd
    script:
        - hg files -0 'set:(**.py or grep("^#!.*python")) - removed()' -X hgext3rd/evolve/thirdparty | xargs -0 flake8

tests-py2-cext:
    image: octobus/ci-py2-hgext3rd
    script:
        - hg pull -R /ci/repos/mercurial/
        - hg -R /ci/repos/mercurial/ update `hg log -r . -T '{branch}'`
        - (cd tests; /ci/repos/mercurial/tests/run-tests.py --color=always)

tests-py2-pure:
    image: octobus/ci-py2-hgext3rd
    script:
        - hg pull -R /ci/repos/mercurial/
        - hg -R /ci/repos/mercurial/ update `hg log -r . -T '{branch}'`
        - (cd tests; /ci/repos/mercurial/tests/run-tests.py --color=always --pure)

tests-py3-cext:
    image: octobus/ci-py3-hgext3rd
    script:
        - hg pull -R /ci/repos/mercurial/
        - hg -R /ci/repos/mercurial/ update `hg log -r . -T '{branch}'`
        - (cd tests; python3 /ci/repos/mercurial/tests/run-tests.py --color=always)

tests-py3-pure:
    image: octobus/ci-py3-hgext3rd
    script:
        - hg pull -R /ci/repos/mercurial/
        - hg -R /ci/repos/mercurial/ update `hg log -r . -T '{branch}'`
        - (cd tests; python3 /ci/repos/mercurial/tests/run-tests.py --color=always --pure)
